MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Static Public Attributes
SampleTraits< SampleFormat::S16 > Struct Template Reference

`#include <Traits.hxx>`

## Public Types
typedef int16_t | value_type
typedef value_type * | pointer_type
typedef const value_type * | const_pointer_type
typedef int_least32_t | sum_type
typedef int_least32_t | long_type

## Static Public Attributes
static constexpr size_t | SAMPLE_SIZE = sizeof(value_type)
static constexpr unsigned | BITS = sizeof(value_type) * 8
static constexpr value_type | MIN = -(sum_type(1) << (BITS - 1))
static constexpr value_type | MAX = (sum_type(1) << (BITS - 1)) - 1
static constexpr value_type | SILENCE = 0

## Detailed Description

### template<>
struct SampleTraits< SampleFormat::S16 >

Definition at line 96 of file Traits.hxx.

## Member Typedef Documentation

typedef const value_type* SampleTraits< SampleFormat::S16 >::const_pointer_type

Definition at line 99 of file Traits.hxx.

typedef int_least32_t SampleTraits< SampleFormat::S16 >::long_type

Definition at line 102 of file Traits.hxx.

typedef value_type* SampleTraits< SampleFormat::S16 >::pointer_type

Definition at line 98 of file Traits.hxx.

typedef int_least32_t SampleTraits< SampleFormat::S16 >::sum_type

Definition at line 101 of file Traits.hxx.

typedef int16_t SampleTraits< SampleFormat::S16 >::value_type

Definition at line 97 of file Traits.hxx.

## Field Documentation

constexpr unsigned SampleTraits< SampleFormat::S16 >::BITS = sizeof(value_type) * 8
| static

Definition at line 105 of file Traits.hxx.

constexpr value_type SampleTraits< SampleFormat::S16 >::MAX = (sum_type(1) << (BITS - 1)) - 1
| static

Definition at line 108 of file Traits.hxx.

constexpr value_type SampleTraits< SampleFormat::S16 >::MIN = -(sum_type(1) << (BITS - 1))
| static

Definition at line 107 of file Traits.hxx.

constexpr size_t SampleTraits< SampleFormat::S16 >::SAMPLE_SIZE = sizeof(value_type)
| static

Definition at line 104 of file Traits.hxx.

constexpr value_type SampleTraits< SampleFormat::S16 >::SILENCE = 0
| static

Definition at line 109 of file Traits.hxx.

The documentation for this struct was generated from the following file:

- pcm/Traits.hxx